using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.Mmxyyjzjf
{
    public partial class W_Mmxyyjzjf
    {
        public W_Mmxyyjzjf()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            this.dw_list.PageSize = 200;
            this.dw_list.ShowPageRowCountInfo = true;
            this.dw_list.ShowPageSizeTextBox = true;
            this.dw_list.ShowPagingButonText = true;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list);
            dw_list.Retrieve();

            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxyyjzjf_Edit", "/CuXiao/Mmxyyjzjf/W_Mmxyyjzjf_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Mmxyyjzjf", "/CuXiao/Mmxyyjzjf/W_Mmxyyjzjf.win.js?JSV=" + AppService.GetJSVesion());
            }

            this.IsRegisterScriptFile = false;
        }
    }
}
